ParenthesisInfo Struct Reference

Structure used for parentheses matching. More...

`#include <ScriptEdit.h>`

## Public Attributes

char | character
int | position

## Detailed Description

Structure used for parentheses matching.

## Member Data Documentation

char ParenthesisInfo::character

Referenced by SyntaxHighlighter::highlightBlock(), ScriptEdit::matchLeftParenthesis(), ScriptEdit::matchParentheses(), and ScriptEdit::matchRightParenthesis().

int ParenthesisInfo::position

Referenced by SyntaxHighlighter::highlightBlock(), TextBlockData::insert(), ScriptEdit::matchLeftParenthesis(), ScriptEdit::matchParentheses(), and ScriptEdit::matchRightParenthesis().

The documentation for this struct was generated from the following file:

- qtiplot/src/scripting/ScriptEdit.h